/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.model.score;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class Kills {
    
    private int opponentKills = 0;
    private int teamKills = 0;
    private int typeKills = 0;

    public int getTotalKills() {
        return this.opponentKills + this.teamKills + this.typeKills;
    }

    public int getOpponentKills() {
        return this.opponentKills;
    }

    public int getTeamKills() {
        return this.teamKills;
    }

    public int getTypeKills() {
        return this.typeKills;
    }
    
    public int incrementOpponentKills() {
        return this.opponentKills++;
    }
    
    public int incrementTeamKills() {
        return this.teamKills++;
    }
    
    public int incrementTypeKills() {
        return this.typeKills++;
    }
}
