/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.model.score;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class Score {
    
    private Points points;
    private Kills kills;
    private Deaths deaths;

    public Score() {
        this.points = new Points();
        this.kills = new Kills();
        this.deaths = new Deaths();
    }
    
    public Points getPoints() {
        return points;
    }

    public Kills getKills() {
        return kills;
    }

    public Deaths getDeaths() {
        return deaths;
    }
    
}
